## Synaptics Driver Release Notes for clevo

Version: 18.0.5
Date: 12-20-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46624 | Suppress Palm Clicking for ForcePad | Suppressed palm clicking for ForcePad.
TP-46606 | Modify default setting of SYN1212 | Modify default setting for SYN1212 (Clevo)

Version: 18.0.4
Date: 12-12-2013
No changes
Version: 18.0.3
Date: 12-06-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Lower the warning level to avoid annoying debug message.
TP-46526 | Unexpected Click when a finger moves out of TouchPad from edge | Fixed unexpected click when a finger moves out of the ForcePad from edge.

Version: 18.0.2
Date: 11-27-2013
No changes
Version: 18.0.1
Date: 11-21-2013
No changes
Version: 18.0.0
Date: 11-14-2013
Changes: OEM_Modules Kernel Multifinger_Filter Localization Palm_Detection F/W_Reflash Palm_Filter OSUtils
RMISMB Device_IO&INFO TPFilter Enhancement WingZone RMIHID INF RMI COM SMB Scrolling

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46243 | Difference performance of 2 Finger Tap | Wait 20ms delay and retry ModeSwitch until it is sucessful or timeout.
TP-46253 | PnPID application for Clevo | Modify PnPID application for Clevo. 1.Hide 4 finger gesture

Version: 17.1.1
Date: 11-07-2013
Changes: OEM_Modules Kernel Slider Multifinger_Filter Localization CMPD F/W_Reflash Palm_Filter OSUtils
Device_IO&INFO HID Enhancement Linux Control_Panel INF RMI Onscreen_Display TPFilter

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46162 | HP-_project_: Unable to set EdgeMotion Speed faster than default | Increased maximum edgemotion speed which has more selections from the edge motion speed slider.
TP-46206 | Locking Drag has no function in OEM INF | Fixed Lock Drag no funtion issuel.
TP-46218 | Calculate the force after TPFiler | Calculate the force after TPFiler
TP-46220 | Make ClickDrag edgemotion on ForcePad | Made ClickDrag edgemotion work after force calculation was moved after CTPFilter.

Version: 17.1.0
Date: 10-31-2013
Changes: OEM_Modules OSUtils CMPD TPFilter COM SMB PS/2 Localization Palm_Detection Device_IO&INFO RMIHID
Multifinger_Filter Scrolling Slider ForcePad F/W_Reflash ThinTouch Control_Panel Audio Kernel
Enhancement Plugins INF

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45899 | Add Code for supporting Legacy TouchPad PC settings opt-in on win 8.1 | Add code to support Legacy touchpad setting on win8.1
TP-45967 | BSOD on version 17.0.8.11 | Check IRQL before calling KeClearEvent.
TP-46066 | 2F click & drag terminates when the force is relaxed = make it similar to 1F click & drag | Added code to support 2F drag with force released.
TP-46082 | BSOD after S3 resume | Move startTimer in front of syn function.

Version: 17.0.20
Date: 10-25-2013
Changes: OEM_Modules Kernel Slider Localization ThinTouch F/W_Reflash OSUtils TPFilter Device_IO&INFO CMPD
Enhancement Control_Panel Linux Plugins RMIHID INF Multifinger_Filter SMB Scrolling

Issue Number | Description | Fix Comment
--- | --- | ---
TP-46014 | OEMWPF and OEMWPF_RMIHID: TP can't work after drag file with DragLock function enabled with TP v17.0.17.0 | Added fix to release drag lock after 500ms timeout, and not make touchpad frozen. Update code to allow dribble packets to be sent, but not mess other sending group packets.

Version: 17.0.19
Date: 10-17-2013
Changes: OEM_Modules Kernel Slider Localization ThinTouch Palm_Detection ForcePad Palm_Filter OSUtils Win_Apps Device_IO&INFO CMPD Scrolling Linux Plugins Control_Panel INF Multifinger_Filter COM TPFilter Enhancement

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45281 | Click action is not consistent | Fixed the issue which checked wrong registry control for enabling/disabling 1Palm+MF clicking.
TP-45755 | resting palm + 1F click or 2F click support | Removed TL2s.
TP-45976 | Skip force calculation for Palm | Skipped force calculation if there is only palm without any finger.
TP-46023 | Change clickpad button mode on HID=SYN1213 | Change clickpad button mode on HID=SYN1213. Set ClickPadButtonMode value to "4".

Version: 17.0.18
Date: 10-11-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45934 | Add different force release threshold for 2F drag there is one finger in the button | Added another force release threshold for 1F resting + another finger drag.
TP-45976 | Skip force calculation for Palm | Skipped force calculation for palm object.; Skipped force calculation if there is only palm without any finger.
TP-45977 | Add "Enable Force" in the tray icon to disable/enable force continuation. | Added control option "Enable Force" in tray icon that allows end user to enable/disable force conitnuation pinch and scrolling, and 2F clicking.
TP-45933 | Change clickpad button mode on HID=SYN1212 | Only modify ClickPadButtonMode in SYN1212.; Modify ClickPadButtonMode value from "1" to "4".
TP-45961 | Modify edge swipe wideth on HID=SYN1214 | Modify edge swipe width on HID "SYN1214".

Version: 17.0.17
Date: 10-03-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45281 | Click action is not consistent | Added registry control to enable/disable 1Palm+MF clicking.
TP-45755 | resting palm + 1F click or 2F click support | 1, Used ClickSmart for 2F click in ForcePad, we don't need to consider the force. 2, Made 1Palm+1F and 2F click work.
TP-45756 | resting palm + 2F tap | Fixed bit mask. Reimplemented MF tap with resting fingers in button zone.
TP-45918 | Add FW RawPacket Position filter to the driver | Add FW RawPacket Position filter to the driver

Version: 17.0.16
Date: 09-26-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44750 (20130628 meeting with Kirk) | After log file capture Kirk would like the default folder opened so that the log file can be copied or viewed instead of just closing | Add option for user to open log file folder after collecting diagnostic info
TP-45827 | Add option to show progress either in current command prompt window or show it in another command prompt window title | Added an option to show progress either in current command prompt window or show it in another command prompt window title

Version: 17.0.15
Date: 09-19-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Added HID mouse filter callback functions.
TP-45582 | BSoD on WHCK test | Keyboard filter driver should pass specific IOCTL to function driver.
TP-45786 | BSOD 0x1E occur when customer uninstall driver | For uninstall case, we still need to unregister notification handler.
TP-45792 | 988033 Touchpad cannot be disabled/Enabled by hotkey(Fn+f2)on bullet unit | Fix Mux KBC if touchpad is connected to port 1, 2 or 3.
TP-45801 | Keep motion/tap/gesture suppression after palm before timeout | Last palm time stamp variables were reset. Fix "keep motion/tap/gesture suppressed after palm before timeout" feature.
TP-45803 | Show right asic type from Diag. page | Show right ASIC type for 1320 and 1321 on Diag. page.
TP-45791 | PnPID application for Clevo | Add PNPID SYN1214

Version: 17.0.14
Date: 09-13-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45582 | BSoD on WHCK test | Fix BSOD when doing system WHCK test
TP-45663 | BSOD for WHCK "Fault Injection Test" | Fix WHCK Fault Injection Test

Version: 17.0.13
Date: 09-05-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44637 | Testarossa - BITS087995: [PT_TSA]Sometimes mouse cursor don't change icon as scrolling | Added fix to show custom cursor correctly.
TP-45194 | English description on Simplified Chinese OS | Update translations
TP-45590 | BSOD 0x10D occur when doing Restart,S3 and S4 +LAN (Right usb port) 14 hours | Unregister RMI callback func before register it.

Version: 17.0.12
Date: 08-30-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45504 | Spyder ULT - There is no function after install driver | Pass the WdfRequest handle to the WDF function .

Version: 17.0.11
Date: 08-23-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45258 | OEM_project_ (SYN1E62) - BSOD after installing v17.0.9 driver | Use InterlockedExchange() and add comments.

Version: 17.0.10
Date: 08-15-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45096 | Device fails detection after reflashing fw using SynapticsReflash found in v17_0_7 | Fixed Device fails detection after reflashing fw
TP-45258 | OEM_project_ (SYN1E62) - BSOD after installing v17.0.9 driver | Use atomic variable to avoid reentry and add timeout mechanism as well.

Version: 17.0.9.1
Date: 08-14-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45258 | OEMEnvy (SYN1E62) - BSOD after installing v17.0.9 driver | Rollback codes. It seems problem to call Mutex acquire function in DPC.

Version: 17.0.9
Date: 08-08-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-45025 | After use touchpad to reboot system, it would BSOD in OS | Check IRQL before calling RtlQueryRegistryValues function.
TP-45111 | Mode switch failed on Win8.1 | Suppor OEM SMBus Host Controller.
TP-45147 | Cusor jumps with OEM 5BFP | Add mechanism to avoid reentry for SMBus driver. Port reentry avoidance mechanism to CRMIPort.

Version: 17.0.8
Date: 08-01-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-42303 | Improve Driver build process and release note for customers | Remove useless notification in middle of build; Fix file verification script; Fix UTF-8 failure to translate non-ASCII apostrophe in release notes
TP-44354 | Horizontal two finger scrolling can't work on PDF file via win8 PFD APP | Fix horizontal scrolling becomes vertical scrolling in Metro simple Chinese pdf reader
TP-44770 | Bonsai - Can not use zoom in/out function after put a third or more fingers on the touchpad | Avoid canceling pinch action when more finger down feature is set.
TP-44975 | WHCK Failure (PS/2) - 17.0.5.3 | HPConsumer.inf (Next/Blue) | Added Synaptics generic compatible ID *SYN0002 for all PS2 touchpad infs; Added a hack until Microsoft fixes its WHCK tool
TP-45042 | Scrolling is not smoothly on metro app Photos and Camera while ZoomPerfect is enabled | Fix injection error for 2 finger scrolling gesture under Metro-mode app. This error will cause scrolling not smooth.

Version: 17.0.7
Date: 07-26-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44571 | Spyder ULT - Default setting is incorrect | Duplicate of ClickpadViews, ClickpadViewModel for OEM Win7 UI for 2013.
TP-44879 | OEMWPF TPPB - modified Win7 UI for 2013 | Changed help text. Added new help text, all in English for now.

Version: 17.0.6
Date: 07-18-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Display ACM 2.0 type in Diagnostic panel
TP-44941 | Getting wrong register offset of ACM20 existence for old FW | Parsing ACM2.0 existence information correctly.; Update the packrat number.; Provide ACM2.0 disabled setting.

Version: 17.0.5
Date: 07-11-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Follow-up: add registry overrides for RMI4 caps; Add RMI4 capabilities query to API
TP-44188 | Customer wants previous release notes combined with current release notes | Add a "history" feature to ReleaseNotes.HTML; Build script now creates a history from previous release notes
TP-44828 (958966) | It will pop up the error "SynTPEnh.exe-Entry Point Not Found" at the end of insttalling Synaptics driver on Vista 32&64. | Fixed SynTPEnh and SynTPHelper crash in Vista with driver built with Vs2012

Version: 17.0.4
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
|  | Do fixme and handle F11 data offsets properly. Still a wip since a large number of F11 data registers remain unchecked in the interrupt handler.
TP-44721 | Geasture issue on Google Chromewith High DPI setting | Fixed issue of two finger scrolling not working when cursor is near the right edge of the window with DPI=150%
TP-44750 (20130628 meeting with Kirk) | After log file capture Kirk would like the default folder opened so that the log file can be copied or viewed instead of just closing | In Windows 8.1 Preview, the GetVersion(Ex) APIs have been deprecated.; In Windows 8.1 Preview, the GetVersion(Ex) APIs have been deprecated. Update Manifest

Version: 17.0.3
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-42303 | Improve Driver build process and release note for customers | For release notes, if "Contact" field is missing, print the Creator of the Jira issue; Create a default empty dictionary in case JSON load fails for invalid and missing Jira numbers; Use Python decode('utf-8-sig') to strip byte order mark out of text; Do not distribute Release.txt any more since it is not updated. Use ReleaseNotes.html.
TP-43964 | ACM 2.0 change of algorithm strength driver meta-bug | Make contact type interface consistent. Add HasACM2() query.
TP-44618 (TM-2768-001) | The systray icons will flicker when scrolling in a photos viewer with three finger flick | Only turned on IME workaround for twist action instead of all gestures for Photo Viewer.
TP-44682 | Use maximum force instead of total force for multiple fingers click | Used maximum force instead of total force for MF click.
TP-44692 (ECR177029, ECR176429) | Copyright issue | Update Coypyright to 1996-2013

Version: 17.0.2
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44299 | Right side, down side "Return at edge of screen" in Momentum doesn't work | Fixed the bounce off screen edge in momentum not working issue with high DPI.

Version: 17.0.1
Date: 07-10-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44440 | Convert packet count to time | Improve taps-Convert packet count to time.; Make gesture work properly for different report rates of devices; Make PalmOnPad gesture works normal for various report rate of devices.; code improve by rename a function.; Add a utility function to clear packet.
TP-44531 | Silent Uninstallation fail in in toshiba.inf | Silent Uninstallation fail with SynIsdll built with Vs2012; Silent Uninstallation fail in in Win8 x64
TP-44533 | Application crashes when we double tap on the top left corner of the TP to disable the touchpad in HPNEWUI v17.0.0 | Changed call convention from std to cdecl to fix syntpenh creash when it reads Png file.
TP-44564 | ACM2.0 can't work on OEM machine | FollowUp:Change uiQuery36Offset -- to uiQuery36Offset--.; Correct RMI query parsing.

Version: 17.0.0
Date: 06-07-2013

Issue Number | Description | Fix Comment
--- | --- | ---
TP-44045 | _project_ (175) - Tap to click will invalid for few seconds after 2 or 3 finger slide on pad | Improve conmunication between API and Kernel Driver.;
TP-44046 | _project_ (176) - Continue tap the 2-finger on the touchpad surface will always trigger both of mouse right and left button events. | Improve tap vs drag with 1F and multifingers, as well as communication between API and Kernel Driver..
TP-44244 | Task tray Synaptics icon, "Pressure graph" and "MoodPad" items cannot be seen. | Fixed the wrong location of popmenu by right clicking trayicon, when the size of all items is set to 150% in control panel.
TP-44299 | Right side, down side "Return at edge of screen" in Momentum doesn't work | Fixed the bounce off screen edge in momentum not working issue, when the size of all items is set to 150% in control panel.
TP-44300 | Enable Tap zone, even touch right up corner, Maximum windows doesn't work | Fixed the issue of maximizing windows not working, when the size of all items is set to 150% in control panel.
TP-44348 | Switch from VS2005 to VS2012 by Default | Save 2005 solution; Switch from VS2005 to VS2012 by Default Use include and lib files from T drive; Bump SynTPCo19.dll to SynTPCo20.dll; SynDell;share\Png; Solution files; KmdfLibraryVersion = 1.11, WdfCoInstaller01011.dll; SynOsLib dir.lst; Remove ...2012.sln files; Inf2Cat; forcetext2bin; Use Include and lib files from T drive
TP-44457 | 16.6.5 sony2006.inf Two-Finger horizontal scroll failed. | Only read application specific settings when apps switch happens, otherwise some user specific settings will be overridden if CPL is opened and changes are not apllied.